{
  "groups": [
    {
      "name": "aliwork",
      "type": "com.malk.server.aliwork.YDConf",
      "sourceType": "com.malk.server.aliwork.YDConf"
    },
    {
      "name": "corp",
      "type": "com.malk.server.common.McConf",
      "sourceType": "com.malk.server.common.McConf"
    },
    {
      "name": "dingtalk",
      "type": "com.malk.server.dingtalk.DDConf",
      "sourceType": "com.malk.server.dingtalk.DDConf"
    },
    {
      "name": "ekuaibao",
      "type": "com.malk.server.ekuaibao.EKBConf",
      "sourceType": "com.malk.server.ekuaibao.EKBConf"
    },
    {
      "name": "file",
      "type": "com.malk.server.common.FilePath",
      "sourceType": "com.malk.server.common.FilePath"
    },
    {
      "name": "file.path",
      "type": "com.malk.server.common.FilePath$Path",
      "sourceType": "com.malk.server.common.FilePath"
    },
    {
      "name": "file.path",
      "type": "com.malk.server.common.FilePath$Path",
      "sourceType": "com.malk.server.common.FilePath$Path"
    },
    {
      "name": "file.path",
      "type": "com.malk.server.common.FilePath$Path",
      "sourceType": "com.malk.server.common.FilePath$Path"
    },
    {
      "name": "file.path",
      "type": "com.malk.server.common.FilePath$Path",
      "sourceType": "com.malk.server.common.FilePath$Path"
    },
    {
      "name": "file.source",
      "type": "com.malk.server.common.FilePath$Source",
      "sourceType": "com.malk.server.common.FilePath"
    },
    {
      "name": "file.source",
      "type": "com.malk.server.common.FilePath$Source",
      "sourceType": "com.malk.server.common.FilePath$Source"
    },
    {
      "name": "file.source",
      "type": "com.malk.server.common.FilePath$Source",
      "sourceType": "com.malk.server.common.FilePath$Source"
    },
    {
      "name": "file.source",
      "type": "com.malk.server.common.FilePath$Source",
      "sourceType": "com.malk.server.common.FilePath$Source"
    },
    {
      "name": "fxiaoke",
      "type": "com.malk.server.fxiaoke.FXKConf",
      "sourceType": "com.malk.server.fxiaoke.FXKConf"
    },
    {
      "name": "h3yun",
      "type": "com.malk.server.h3yun.CYConf",
      "sourceType": "com.malk.server.h3yun.CYConf"
    },
    {
      "name": "spring.datasource.primary",
      "type": "javax.sql.DataSource",
      "sourceType": "com.malk.config.mutilSource.DataSourceConfig",
      "sourceMethod": "primaryDataSource()"
    },
    {
      "name": "spring.datasource.slave",
      "type": "javax.sql.DataSource",
      "sourceType": "com.malk.config.mutilSource.DataSourceConfig",
      "sourceMethod": "slaveDataSource()"
    },
    {
      "name": "vika",
      "type": "com.malk.server.vika.VKConf",
      "sourceType": "com.malk.server.vika.VKConf"
    },
    {
      "name": "xbongbong",
      "type": "com.malk.server.xbongbong.XBBConf",
      "sourceType": "com.malk.server.xbongbong.XBBConf"
    }
  ],
  "properties": [
    {
      "name": "aliwork.app-type",
      "type": "java.lang.String",
      "sourceType": "com.malk.server.aliwork.YDConf"
    },
    {
      "name": "aliwork.system-token",
      "type": "java.lang.String",
      "sourceType": "com.malk.server.aliwork.YDConf"
    },
    {
      "name": "corp.engineers",
      "type": "java.util.List<java.lang.String>",
      "sourceType": "com.malk.server.common.McConf"
    },
    {
      "name": "corp.page-size",
      "type": "java.lang.Integer",
      "description": "最大分页",
      "sourceType": "com.malk.server.common.McConf",
      "defaultValue": 100
    },
    {
      "name": "corp.time-await",
      "type": "java.lang.Integer",
      "sourceType": "com.malk.server.common.McConf",
      "defaultValue": 0
    },
    {
      "name": "corp.time-out",
      "type": "java.lang.Integer",
      "sourceType": "com.malk.server.common.McConf",
      "defaultValue": 0
    },
    {
      "name": "dingtalk.aes-key",
      "type": "java.lang.String",
      "sourceType": "com.malk.server.dingtalk.DDConf"
    },
    {
      "name": "dingtalk.agent-id",
      "type": "java.lang.Number",
      "sourceType": "com.malk.server.dingtalk.DDConf"
    },
    {
      "name": "dingtalk.app-key",
      "type": "java.lang.String",
      "sourceType": "com.malk.server.dingtalk.DDConf"
    },
    {
      "name": "dingtalk.app-secret",
      "type": "java.lang.String",
      "sourceType": "com.malk.server.dingtalk.DDConf"
    },
    {
      "name": "dingtalk.corp-id",
      "type": "java.lang.String",
      "sourceType": "com.malk.server.dingtalk.DDConf"
    },
    {
      "name": "dingtalk.corp-token",
      "type": "java.lang.String",
      "sourceType": "com.malk.server.dingtalk.DDConf"
    },
    {
      "name": "dingtalk.operator",
      "type": "java.lang.String",
      "sourceType": "com.malk.server.dingtalk.DDConf"
    },
    {
      "name": "dingtalk.robot-code",
      "type": "java.lang.String",
      "sourceType": "com.malk.server.dingtalk.DDConf"
    },
    {
      "name": "dingtalk.token",
      "type": "java.lang.String",
      "sourceType": "com.malk.server.dingtalk.DDConf"
    },
    {
      "name": "ekuaibao.app-key",
      "type": "java.lang.String",
      "sourceType": "com.malk.server.ekuaibao.EKBConf"
    },
    {
      "name": "ekuaibao.app-security",
      "type": "java.lang.String",
      "sourceType": "com.malk.server.ekuaibao.EKBConf"
    },
    {
      "name": "ekuaibao.corp-id",
      "type": "java.lang.String",
      "sourceType": "com.malk.server.ekuaibao.EKBConf"
    },
    {
      "name": "ekuaibao.platform-api",
      "type": "java.lang.String",
      "sourceType": "com.malk.server.ekuaibao.EKBConf"
    },
    {
      "name": "ekuaibao.platform-url",
      "type": "java.lang.String",
      "description": "获取地址前缀",
      "sourceType": "com.malk.server.ekuaibao.EKBConf"
    },
    {
      "name": "file.path.file",
      "type": "java.lang.String",
      "sourceType": "com.malk.server.common.FilePath$Path"
    },
    {
      "name": "file.path.file",
      "type": "java.lang.String",
      "sourceType": "com.malk.server.common.FilePath$Path"
    },
    {
      "name": "file.path.file",
      "type": "java.lang.String",
      "sourceType": "com.malk.server.common.FilePath$Path"
    },
    {
      "name": "file.path.image",
      "type": "java.lang.String",
      "sourceType": "com.malk.server.common.FilePath$Path"
    },
    {
      "name": "file.path.image",
      "type": "java.lang.String",
      "sourceType": "com.malk.server.common.FilePath$Path"
    },
    {
      "name": "file.path.image",
      "type": "java.lang.String",
      "sourceType": "com.malk.server.common.FilePath$Path"
    },
    {
      "name": "file.path.tmp",
      "type": "java.lang.String",
      "sourceType": "com.malk.server.common.FilePath$Path"
    },
    {
      "name": "file.path.tmp",
      "type": "java.lang.String",
      "sourceType": "com.malk.server.common.FilePath$Path"
    },
    {
      "name": "file.path.tmp",
      "type": "java.lang.String",
      "sourceType": "com.malk.server.common.FilePath$Path"
    },
    {
      "name": "file.source.fonts",
      "type": "java.lang.String",
      "sourceType": "com.malk.server.common.FilePath$Source"
    },
    {
      "name": "file.source.fonts",
      "type": "java.lang.String",
      "sourceType": "com.malk.server.common.FilePath$Source"
    },
    {
      "name": "file.source.fonts",
      "type": "java.lang.String",
      "sourceType": "com.malk.server.common.FilePath$Source"
    },
    {
      "name": "fxiaoke.app-id",
      "type": "java.lang.String",
      "sourceType": "com.malk.server.fxiaoke.FXKConf"
    },
    {
      "name": "fxiaoke.app-secret",
      "type": "java.lang.String",
      "sourceType": "com.malk.server.fxiaoke.FXKConf"
    },
    {
      "name": "fxiaoke.corp-id",
      "type": "java.lang.String",
      "sourceType": "com.malk.server.fxiaoke.FXKConf"
    },
    {
      "name": "fxiaoke.permanent-code",
      "type": "java.lang.String",
      "sourceType": "com.malk.server.fxiaoke.FXKConf"
    },
    {
      "name": "h3yun.engine-code",
      "type": "java.lang.String",
      "sourceType": "com.malk.server.h3yun.CYConf"
    },
    {
      "name": "h3yun.secret",
      "type": "java.lang.String",
      "sourceType": "com.malk.server.h3yun.CYConf"
    },
    {
      "name": "vika.api-token",
      "type": "java.lang.String",
      "sourceType": "com.malk.server.vika.VKConf"
    },
    {
      "name": "xbongbong.callback-token",
      "type": "java.lang.String",
      "description": "回调解析token",
      "sourceType": "com.malk.server.xbongbong.XBBConf"
    },
    {
      "name": "xbongbong.corpid",
      "type": "java.lang.String",
      "description": "公司corpid。接口基础参数，接口请求必传",
      "sourceType": "com.malk.server.xbongbong.XBBConf"
    },
    {
      "name": "xbongbong.token",
      "type": "java.lang.String",
      "description": "访问接口的token,该值相当于密钥 管理员账号登录销帮帮WEB版后台后，访问https:\/\/pfweb.xbongbong.com\/#\/apiToken\/index查看",
      "sourceType": "com.malk.server.xbongbong.XBBConf"
    },
    {
      "name": "xbongbong.user-id",
      "type": "java.lang.String",
      "description": "接口操作人userId,接口基础参数。不传默认取超管角色",
      "sourceType": "com.malk.server.xbongbong.XBBConf"
    }
  ],
  "hints": []
}